INSTALL-TL(1)

NAME
install-tl - TeX Live cross-platform installer

SYNOPSIS
install-tl [OPTION]...

install-tl.bat [OPTION]...

DESCRIPTION
The TeX Live installer works across all supported platforms and allows to install TeX Live from various media, including the network. For information on initially downloading TeX Live, see <http://tug.org/texlive/acquire.html>.

The basic idea of TeX Live installation is to choose one of the top-level schemes, each of which is defined as a different set of collections and packages, where a collection is a set of packages, and a package is what contains actual files.

Within the installer, you can choose a scheme, and further customize the set of collections to install, but not the set of the packages. To do that, remove the undesired packages after installation with "tlmgr" (see reference below).

The default is "scheme-full", to install everything, and this is highly recommended unless your disk space is severely limited.

REFERENCES
Post-installation configuration, packages updates, and more, are handled through tlmgr(1), the TeX Live Manager (<http://tug.org/texlive/tlmgr.html>).

The most up-to-date version of this documentation is on the Internet at <http://tug.org/texlive/doc/install-tl.html>.

For the full documentation of TeX Live, see <http://tug.org/texlive/doc>.

OPTIONS

-gui [[=]module]
    If no module is given starts the "perltk" (see below) GUI installer.

    If module is given loads the given installer module. Currently the following modules are supported:

    "text"
        The text mode user interface which is the default on Unix systems, and can be forced with by giving "text" as module, or with the "-no-gui" switch.

    "wizard"
        The wizard mode user interface asking only a few questions before installing all of TeX Live. This is the default on Windows systems.

    "perltk"
        The all-in-one GUI installer. It can also be selected by giving the "-gui" option without any module.

    The "perltk" and "wizard" modules, and thus also when calling with a simple "-gui" (without module) requires the Perl/Tk module (<http://tug.org/texlive/distro.html#perltk>); if Perl/Tk is not available, installation continues in text mode.

-no-gui
    Use the text mode installer (default except on Windows).

-lang 2-letter lang code
    (only for GUI installer) If possible, start the installer translated into the language specified by the 2-letter (ISO 639-1) language code (with the exception for selecting simplified or traditional Chinese). Currently supported languages: English (en, default), Czech (cs), German (de), French (fr), Italian (it), Dutch (nl), Polish (pl), Russian (ru), Slovak (sk), Slovenian (sl), Vietnamese (vi), simplified Chinese (zh-cn), and traditional Chinese (zh-tw).

-repository url|path
    Specify the package repository to be used as the source of the installation, either a local directory via "/path/to/directory" or a "file:/" url, or a network location via a "http://" or "ftp://" url. (No other protocols are supported.)

    The default is to pick a mirror automatically, using <http://mirror.ctan.org/systems/texlive/tlnet>; the chosen mirror is used for the entire download. You can use the special argument "ctan" as an abbreviation for this. See <http://ctan.org> for more about CTAN and its mirrors.

    If the repository is on the network, trailing "/" characters and/or trailing "/tlpkg" and "/archive" components are ignored. For example, you could choose a particular CTAN mirror with something like this:

      -repository http://ctan.example.org/its/ctan/dir/systems/texlive/tlnet

    Of course a real hostname and its particular top-level CTAN path have to be specified. The list of CTAN mirrors is available at <http://ctan.org/mirrors>.

    If the repository is local, the installation type (compressed or live) is automatically determined, by checking for the presence of a "archive" directory relative to the root. Compressed is preferred if both are available, since it is faster. Here's an example of using a local directory:

      -repository /local/TL/repository

    After installation is complete, you can use that installation as the repository for another installation. If you chose to install less than the full scheme containing all packages, the list of available schemes will be adjusted accordingly.

    For backward compatibility and convenience, "--location" and "--repo" are accepted as aliases for this option.

-no-cls
    (only for text mode installer) do not clear the screen when entering a new menu (for debugging purposes).

-non-admin
    For Windows only: configure for the current user, not for all users.

-all-options
    Normally options not regarding the current architecture are not shown. Giving this cmd line option allows to configure settings in the final tlpdb that do not have any immediate effect.

-portable
    Start the installer for portable use---but use the "tl-portable" scripts instead of this option. See below for details.

-print-arch
    Print the detected arch-os combination and exit.

-force-arch arch-os
    Instead of auto-detecting the current platform use the one given on the cmd line. Make sure that there are binaries for this platform and they can actually be run.

-profile profile
    Load the profile file for repeated installations on different systems. A profile contains the values of all necessary variable for the installation. After normal installation has finished a profile for that exact installation is written into DEST/tlpkg/texlive.profile. That file can be used to do the exact same installation on a different computer.

    You can also hand-craft such a profile starting from a generated one by changing some values. Normally a profile has to contain the value 1 for each collection that should be installed, even if the scheme is specified. That follows from the logic of the installer that you first select a scheme and then can change the actual collections being installed.

    There is one exception to this: If the profile contains a variable for selected_scheme and no collection variable is defined in the profile, then the collections which the specified scheme requires are installed. Thus, a simple line "selected_scheme scheme-medium" together with the definitions of the paths ("TEXDIR", "TEXDIRW", "TEXMFHOME", "TEXMFLOCAL", "TEXMFSYSCONFIG", "TEXMFSYSVAR") suffices to install the medium scheme with all default options.

-scheme scheme
    Schemes are the highest level of package grouping in TeX Live; the default is to use the "full" scheme, which includes everything. This option overrides that default. You can change the scheme again before the actual installation with the usual menu. The scheme argument may optionally have a prefix "scheme-". The list of supported scheme names depends on what your package repository provides; see the interactive menu list.

-custom-bin path
    In case your architecture is not supported by TeX Live out of the box and you have built your own binaries for your system, this option allows to give the path to a directory where ready made binaries for your system are present. The installation will continue as normally, but at the end all files from path are copied over to "bin/custom" in your installation folder and this directory will be added to the path for the postinstall actions.

--persistent-downloads
    For net installs, try to set up a persistent connection using the Net::LWP Perl module. This reuses a connection between your computer and the server for the session, instead of initiating a new download for each package. We hope this option will reduce the probability of connection problems.

-debug-translation
    In GUI mode, this switch makes "tlmgr" report any missing, or more likely untranslated, messages to standard error. Helpful for translators to see what remains to be done.

-q  Omit normal informational messages.

-v  Include debugging messages; repeat for maximum debugging, as in "-v -v". (Further repeats are accepted but ignored.)

-logfile file
    Write both all messages (informational, debugging, warnings) to file, in addition to standard output or standard error.

    If this option is not given, the installer will create a log file in the root of the writable installation tree, for example, "/usr/local/texlive/YYYY/install-tl.log" for the YYYY release.

--help, -help, -?
    Display this help and exit.

--version, -version
    Output version information and exit. If "-v" has been given the revisions of the used modules are reported, too.

As usual, all options can be specified with either "-" or "--", and arguments can be separated from their options by either a space or "=".

PORTABLE USE
The TeX Live root directory contains a shell script "tl-portable.sh" and a DOS batch file "tl-portable.bat" which start up a new shell and command prompt in which TeX Live can be run with minimal impact on the host system. These files start up "install-tl" with the "-portable" option for some minimal preparation. Don't use this option directly; it makes very specific assumptions about its environment.

AUTHORS AND COPYRIGHT
This script and its documentation were written for the TeX Live distribution (<http://tug.org/texlive>) and both are licensed under the GNU General Public License Version 2 or later.